# Add OAuth Add an authorized OAuth client to an existing endpoint. Endpoint: PUT /webhooks/endpoint/oauth/{endpointId} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Path parameters: - `endpointId` (string) The Id of the endpoint configured for subscription to specified events. Required only for DELETE operations. Example: "ep_2gEymWwsWu5H5EpwbwoOwBnRQBi" ## Request fields (application/json): - `clientId` (string) Customer generated clientId from OAuth server/provider Example: "FbhKdCwuiItoSSRJpKXc6cjhpJFVy7JbB" - `clientSecret` (string) Customer generated client secret from OAuth server/provider Example: "ZtjtpXP7p5SdUwNYu1JT9xfQobecM0i5UGOu_F5BU6DdAOPFLZDz7r0xObogttPG" - `tokenUrl` (string) Customer provided https url for obtaining access tokens from the customers OAuth server/provider Example: "https://yourdomain.provider/oauth/token" - `extraParams` (object) Optional collection of key value pair parameters which may be required depending on OAuth provider. Example: {"audience":"https://api.tenovos.io/v1"} - `scope` (array) Optional array of strings for included scopes if configured by the customer on their OAuth server/provider for the generated client Example: ["Assets, Users"] ## Response 204 fields ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 503 fields